<?php
class Config
{
    protected $settings;

    public function __construct() {
        $this->settings = array();
    }

    public function __set($key, $value) {
        $this->settings[$key] = $value;
    }

    public function __get($key) {
        if (array_key_exists($key, $this->settings) === false) {
            throw new Exception('key '.$key.' not found');
        }
        return $this->settings[$key];
    }
}